## org.jfree.util
Class DefaultConfiguration

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.jfree.util.DefaultConfiguration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>, Configuration

    public class DefaultConfiguration

extends java.util.Properties
implements Configuration

Default configuration.

Author:
  Thomas Morgner.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`DefaultConfiguration()` Creates an empty property list with no default values.

Method Summary
`java.util.Iterator` `findPropertyKeys(java.lang.String prefix)` Searches all property keys that start with a given prefix.
`java.util.Enumeration` `getConfigProperties()` Returns the configuration properties.
`java.lang.String` `getConfigProperty(java.lang.String key)` Returns the configuration property with the specified key.
`java.lang.String` `getConfigProperty(java.lang.String key, java.lang.String defaultValue)` Returns the configuration property with the specified key (or the specified default value if there is no such property).

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultConfiguration

    public DefaultConfiguration()

  Creates an empty property list with no default values.

Method Detail

### getConfigProperty

    public java.lang.String getConfigProperty(java.lang.String key)

  Returns the configuration property with the specified key.

  Specified by:
    `getConfigProperty` in interface `Configuration`
  Parameters:
    `key` - the property key.
  Returns:
    the property value.

### getConfigProperty

    public java.lang.String getConfigProperty(java.lang.String key,
                                              java.lang.String defaultValue)

  Returns the configuration property with the specified key (or the specified default value if there is no such property).

  If the property is not defined in this configuration, the code will lookup the property in the parent configuration.

  Specified by:
    `getConfigProperty` in interface `Configuration`
  Parameters:
    `key` - the property key.
    `defaultValue` - the default value.
  Returns:
    the property value.

### findPropertyKeys

    public java.util.Iterator findPropertyKeys(java.lang.String prefix)

  Searches all property keys that start with a given prefix.

  Specified by:
    `findPropertyKeys` in interface `Configuration`
  Parameters:
    `prefix` - the prefix that all selected property keys should share
  Returns:
    the properties as iterator.

### getConfigProperties

    public java.util.Enumeration getConfigProperties()

  Description copied from interface: `Configuration`
  Returns the configuration properties.

  Specified by:
    `getConfigProperties` in interface `Configuration`
  Returns:
    The configuration properties.